-- Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
--
-- SPDX-License-Identifier: MPL-2.0

CREATE TABLE PUBLIC."user" (
  id bigint PRIMARY KEY AUTO_INCREMENT, -- GENERATED BY DEFAULT AS IDENTITY(START WITH 0) PRIMARY KEY,
  email varchar(255) DEFAULT NULL,
  gid varchar(255) DEFAULT NULL,
  name varchar(255) DEFAULT NULL,
  PRIMARY KEY (id)
);

CREATE INDEX idx_user_gid ON PUBLIC."user"(gid);
CREATE INDEX idx_user_name ON PUBLIC."user"(name);
CREATE INDEX idx_user_email ON PUBLIC."user"(email);
